Symfony2 on PHP5.3, Python2.7, Node.js, Java, and what not on Shared Hosting

Sometimes one has too many privileges 😀
Yes so I needed to use less right on my sharedhosting. For that to work I had to install several things. My former hosting had just recently upgraded to php5.3 and only had available python2.4 because of this. I discovered one can install python2.7 latest easily on user space with some commands here. The need for python2.7 is that there is a node.js script for installation that was written on python2.7 or later and that it requires some json components, etc. That being said python2.7 was out of our way. We then moved to install node.js on user space too. We found some helpful commands here and completed our setup setting things on .bashrc on server.
Then in order to configure less we said:

// parameters.yml
parameters:
  node_path:         "/home/cordoval/bin/node"
  node_paths:        "/home/cordoval/bin/node_modules"
 
// config.yml
assetic:
    filters:
        less:
            node: %node_path%
            node_paths: [%node_paths%]

This setup was for local but the server side was similar. If you want like me a shared hosting that looks like VPS where you can do all sort of things with symfony2 (including deploying with capifony.org), well you can find more information here where I am an affiliate. Hope this is useful to you! I hunted for months for a hosting like this.

Leave a Reply

Your email address will not be published. Required fields are marked *